You are not logged in.

#1 2021-10-21 17:46:56

zw963
Member
Registered: 2018-06-18
Posts: 137

[solved] dbeaver install failed with default select(1), jre-openjdk

because current version dbeaver need JDK 11 or greater, the default selection is not met.

Thank you.

 ╰─ $ pacman -S dbeaver
resolving dependencies...
:: There are 4 providers available for java-runtime>=11:
:: Repository extra
   1) jre-openjdk  2) jre11-openjdk
:: Repository archlinuxcn
   3) jdk11-graalvm-bin  4) jre

Enter a number (default=1): 
looking for conflicting packages...

Packages (4) jre-openjdk-17.u35-1  jre-openjdk-headless-17.u35-1  libnet-1:1.1.6-1  dbeaver-21.2.2-1

Total Download Size:    97.15 MiB
Total Installed Size:  237.08 MiB

:: Proceed with installation? [Y/n] y

Last edited by zw963 (2021-10-21 17:57:39)

Offline

#2 2021-10-21 17:57:22

zw963
Member
Registered: 2018-06-18
Posts: 137

Re: [solved] dbeaver install failed with default select(1), jre-openjdk

sorry, archlinux-java set issue. close

Offline

Board footer

Powered by FluxBB